Public Member Functions
com.ugrokit.api.UgiFooterView Class Reference

## Overview

UI object designed for the bottom of the screen, with three buttons.

## Public Member Functions
| UgiFooterView (Context context, AttributeSet attrs)
| Constructor. More...
int | getThemeColorOverride ()
| Override to color in UgiUiActivity (default = nil) More...
void | setThemeColorOverride (int themeColorOverride)
| Override to color in UgiUiActivity (default = nil) More...
int | getButtonColorOverride ()
| Override to color in UgiUiActivity (default = nil) More...
void | setButtonColorOverride (int buttonColorOverride)
| Override to color in UgiUiActivity (default = nil) More...
int | getButtonPressedColorOverride ()
| Override to color in UgiUiActivity (default = nil) More...
void | setButtonPressedColorOverride (int buttonPressedColorOverride)
| Override to color in UgiUiActivity (default = nil) More...
boolean | isForcedHidden ()
| See whether the footer is being forcably hidden. More...
void | setForcedHidden (boolean forcedHidden)
| Set whether the footer should be forcably hidden. More...
float | getButtonSize ()
| Get the button size (defualt is 1.0) More...
void | setButtonSize (float buttonSize)
| Set the button size (defualt is 1.0) More...
boolean | anyButtonsDisplayed ()
| See if any of the buttons are displayed. More...
UgiButton | getCenterButton ()
| Get the center button. More...
void | setLeft (String text, Runnable handler)
| Set the left button title and handler. More...
void | setCenter (String text, Runnable handler)
| Set the center button title and handler. More...
void | setRight (String text, Runnable handler)
| Set the right button title and handler. More...

## Member Function Documentation

## ◆ getThemeColorOverride()

int com.ugrokit.api.UgiFooterView.getThemeColorOverride | ( |  | ) |

Override to color in UgiUiActivity (default = nil)

Returns
  theme color override

## ◆ setThemeColorOverride()

void com.ugrokit.api.UgiFooterView.setThemeColorOverride | ( | int | themeColorOverride | ) |

Override to color in UgiUiActivity (default = nil)

Parameters

  themeColorOverride | new theme color override

## ◆ getButtonColorOverride()

int com.ugrokit.api.UgiFooterView.getButtonColorOverride | ( |  | ) |

Override to color in UgiUiActivity (default = nil)

Returns
  button color override

## ◆ setButtonColorOverride()

void com.ugrokit.api.UgiFooterView.setButtonColorOverride | ( | int | buttonColorOverride | ) |

Override to color in UgiUiActivity (default = nil)

Parameters

  buttonColorOverride | new button color override

## ◆ getButtonPressedColorOverride()

int com.ugrokit.api.UgiFooterView.getButtonPressedColorOverride | ( |  | ) |

Override to color in UgiUiActivity (default = nil)

Returns
  button pressed color override

## ◆ setButtonPressedColorOverride()

void com.ugrokit.api.UgiFooterView.setButtonPressedColorOverride | ( | int | buttonPressedColorOverride | ) |

Override to color in UgiUiActivity (default = nil)

Parameters

  buttonPressedColorOverride | new button pressed color override

## ◆ isForcedHidden()

boolean com.ugrokit.api.UgiFooterView.isForcedHidden | ( |  | ) |

See whether the footer is being forcably hidden.

Returns
  true if the footer is being forcably hidden

## ◆ setForcedHidden()

void com.ugrokit.api.UgiFooterView.setForcedHidden | ( | boolean | forcedHidden | ) |

Set whether the footer should be forcably hidden.

Parameters

  forcedHidden | true to forcably hide the footer

## ◆ getButtonSize()

float com.ugrokit.api.UgiFooterView.getButtonSize | ( |  | ) |

Get the button size (defualt is 1.0)

Returns
  button size

## ◆ setButtonSize()

void com.ugrokit.api.UgiFooterView.setButtonSize | ( | float | buttonSize | ) |

Set the button size (defualt is 1.0)

Parameters

  buttonSize | size to set

## ◆ anyButtonsDisplayed()

boolean com.ugrokit.api.UgiFooterView.anyButtonsDisplayed | ( |  | ) |

See if any of the buttons are displayed.

Returns
  true if any buttons are displayed

## ◆ getCenterButton()

UgiButton com.ugrokit.api.UgiFooterView.getCenterButton | ( |  | ) |

Get the center button.

Returns
  center button

## ◆ setLeft()

void com.ugrokit.api.UgiFooterView.setLeft | ( | String | text,
|  | Runnable | handler
| ) |  |

Set the left button title and handler.

Parameters

  text | Button title
  handler | Click handler

## ◆ setCenter()

void com.ugrokit.api.UgiFooterView.setCenter | ( | String | text,
|  | Runnable | handler
| ) |  |

Set the center button title and handler.

Parameters

  text | Button title
  handler | Click handler

## ◆ setRight()

void com.ugrokit.api.UgiFooterView.setRight | ( | String | text,
|  | Runnable | handler
| ) |  |

Set the right button title and handler.

Parameters

  text | Button title
  handler | Click handler

## Constructor & Destructor Documentation

## ◆ UgiFooterView()

com.ugrokit.api.UgiFooterView.UgiFooterView | ( | Context | context,
|  | AttributeSet | attrs
| ) |  |

Constructor.

Parameters

  context | Context
  attrs | Attributes